### Method

# GLib SequenceIter move

since: 2.14

#### Declaration [src]

    GSequenceIter*
    g_sequence_iter_move (
      GSequenceIter* iter,
      gint delta
    )

#### Description [src]

Returns the `GSequenceIter` which is `delta` positions away from `iter`. If `iter` is closer than -`delta` positions to the beginning of the sequence, the begin iterator is returned. If `iter` is closer than `delta` positions to the end of the sequence, the end iterator is returned.

Available since: 2.14

#### Parameters

`delta`

  Type: `gint`

  A positive or negative number indicating how many positions away from `iter` the returned `GSequenceIter` will be.

#### Return value

Type: `GSequenceIter`

A `GSequenceIter` which is `delta` positions away from `iter`.

The returned data is owned by the instance.